var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconArtifactsSearchComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-artifacts-search").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", d: "M7.536 2.273a5.067 5.067 0 1 0 0 10.134 5.067 5.067 0 0 0 0-10.134ZM1.27 7.34a6.267 6.267 0 1 1 12.533 0 6.267 6.267 0 0 1-12.533 0Z", clipRule: "evenodd" }),
        React.createElement("path", { fillRule: "evenodd", d: "M7.515 4.095a.533.533 0 0 1 .548.408c.167.695.42 1.082.762 1.383.362.319.84.56 1.551.918l.067.033a.533.533 0 0 1-.024.964c-1.085.482-1.572.944-1.835 1.317a2.846 2.846 0 0 0-.302.569l-.056.138c-.06.151-.131.328-.211.479a.533.533 0 0 1-.998-.167c-.091-.573-.455-1.145-.927-1.59-.487-.459-.983-.686-1.251-.701a.533.533 0 0 1-.059-1.059c.581-.098 1.118-.451 1.534-.913.421-.468.658-.98.701-1.314a.533.533 0 0 1 .5-.465Zm.027 1.925a4.578 4.578 0 0 1-.436.568 4.32 4.32 0 0 1-.846.73A4.665 4.665 0 0 1 7.584 8.7c.039-.064.081-.13.128-.195.282-.401.692-.802 1.331-1.191a5.31 5.31 0 0 1-.922-.627 3.177 3.177 0 0 1-.579-.667Zm3.578 5.22a.6.6 0 0 1 .849.019l2.54 2.653a.6.6 0 1 1-.867.83l-2.54-2.654a.6.6 0 0 1 .018-.848Z", clipRule: "evenodd" }));
}
var IconArtifactsSearch = React.forwardRef(IconArtifactsSearchComponent);
export default IconArtifactsSearch;
